vector posP=position_;
label cellP=mesh.findCell(posP);
scalar alpha1P = td.alpha1Interp().interpolate(posP, cellP);
scalar distanceP=d_/2.0+(pow(mesh.cellVolumes()[cellP],1.0/3.0))/2.0;
bool closeVOF= false;
for (int j=0; j<6;j++)
 {
  int sign=pow(-1,j);
  int coord=j/2;
  vector possurfP=posP;
  possurfP.component(coord) += sign * distanceP ;
  label cellsurfP=mesh.findCell(possurfP);
  if (cellsurfP != (-1))
   {
    scalar alpha1surfP = td.alpha1Interp().interpolate(possurfP, cellsurfP);
    if (alpha1surfP > 0.5)
     {
      closeVOF=true;
     }
   }
 }
Info<< "Close VOF "<< closeVOF<<endl;
scalar VPleft;
scalar VdispoCellP;
if (closeVOF)
 {
  VPleft=pow(d_,3)*mathematicalConstant::pi/6.0;
  VdispoCellP=(1-alpha1P)*mesh.cellVolumes()[cellP];
  Info<< "We remove the particle at position "<< posP << "  with volume "<< VPleft<<endl;
  td.keepParticle = false;

  if (VPleft <= VdispoCellP)
  // fill only the eulerian cell at the particle position
   {
    td.spc().correctalpha1()[cellP] +=  VPleft/mesh.cellVolumes()[cellP] ;
    td.spc().correctU()[cellP] += U_  ;
    Info<< "CellP has alpha= " <<alpha1P << " Add liquid to cellP: "<< cellP << "  "<< td.spc().correctalpha1()[cellP] << "  "<< td.spc().correctU()[cellP] <<endl;
   }
  else
  // start to fill the neighbour cells
   {
    //we don't need it for this simple tutorial
   }
 }
